Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.ata
Class SenseInfo

    java.lang.Object
      dioscuri.module.ata.SenseInfo

    public class SenseInfo

extends java.lang.Object

Class to represent Sense Info.

Constructor Summary
`SenseInfo()` Constructor.

Method Summary
`AscType` | `getAsc()`
`byte` | `getAscq()`
`byte` | `getFruc()`
`byte[]` | `getInformation()`
`byte[]` | `getKeySpec()`
`SenseType` | `getSenseKey()`
`byte[]` | `getSpecificInf()`
`void` | `setAsc(AscType ascType)`
`void` | `setAscq(byte ascq)`
`void` | `setFruc(byte fruc)`
`void` | `setInformation(int index, byte information)`
`void` | `setKeySpec(int index, byte keySpec)`
`void` | `setSenseKey(SenseType senseKey)`
`void` | `setSpecificInf(int index, byte specificInf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SenseInfo

    public SenseInfo()

  Constructor.

Method Detail

### getFruc

    public byte getFruc()

  Returns:
    -

### setFruc

    public void setFruc(byte fruc)

  Parameters:
    `fruc` -

### getAsc

    public AscType getAsc()

  Returns:
    -

### setAsc

    public void setAsc(AscType ascType)

  Parameters:
    `ascType` -

### getAscq

    public byte getAscq()

  Returns:
    -

### setAscq

    public void setAscq(byte ascq)

  Parameters:
    `ascq` -

### getInformation

    public byte[] getInformation()

  Returns:
    -

### setInformation

    public void setInformation(int index,
                               byte information)

  Parameters:
    `index` -
    `information` -

### getSpecificInf

    public byte[] getSpecificInf()

  Returns:
    -

### setSpecificInf

    public void setSpecificInf(int index,
                               byte specificInf)

  Parameters:
    `index` -
    `specificInf` -

### getKeySpec

    public byte[] getKeySpec()

  Returns:
    -

### setKeySpec

    public void setKeySpec(int index,
                           byte keySpec)

  Parameters:
    `index` -
    `keySpec` -

### getSenseKey

    public SenseType getSenseKey()

  Returns:
    -

### setSenseKey

    public void setSenseKey(SenseType senseKey)

  Parameters:
    `senseKey` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD